<template>
  <q-dialog v-model="persistent" content-class="bg-grey-1" persistent transition-show="scale" transition-hide="scale">
    <q-card style="width: 400px;max-width:400px;">
      <q-card-section>
        <div class="text-h6">{{optionTitle}}</div>
      </q-card-section>
      <q-card-section class="q-pt-none scroll" style="max-height: 70vh">
        <div class="row wrap">
          <q-input filled stack-label maxlength="50" :dense="false" v-model="objOption.ConfigName"
            class="col-12 q-pb-lg" label="配置名称" />
        </div>
        <div class="row wrap">
          <q-input filled stack-label maxlength="5" :dense="false" v-model="objOption.SortNum" class="col-12 q-pb-lg"
            label="排序" @keyup.native="checkInteger(objOption,'SortNum')" />
        </div>
      </q-card-section>
      <q-separator />
      <q-card-actions align="right" class="bg-white">
        <q-btn label="取消" flat color="grey-10" style="font-weight:400 !important" @click="closeSaveForm" />
        <q-btn label="立即提交" color="accent q-px-md" style="font-weight:400 !important" :loading="saveLoading"
          @click="saveStage" />
      </q-card-actions>
    </q-card>
  </q-dialog>
</template>
<script>
  import {
    saveStuPurpose
  } from '../../api/system/index'
  export default {
    props: {
      saveObj: {
        type: Object,
        default: null
      },
      //类型（1-意向度）
      ConfigType: {
        type: Number,
        default: 1,
      }
    },
    data() {
      return {
        persistent: true,
        saveLoading: false,
        objOption: {
          Id: 0,
          ConfigType: 1,
          ConfigName: '', //
          SortNum: '' //编号
        },
        optionTitle: "",
      }
    },
    mounted() {
      this.initObj();
    },
    methods: {
      //初始化表单
      initObj() {
        if (this.saveObj && this.saveObj.Id > 0) {
          this.objOption.Id = this.saveObj.Id;
          this.objOption.ConfigType = this.ConfigType;
          this.objOption.ConfigName = this.saveObj.ConfigName;
          this.objOption.SortNum = this.saveObj.SortNum;
          if (this.ConfigType == 1) {
            this.optionTitle = "修改【意向度】信息"
          }
        } else {
          if (this.ConfigType == 1) {
            this.optionTitle = "新增【意向度】信息"
          }
          this.objOption.Id = 0;
          this.objOption.ConfigType = this.ConfigType;
          this.objOption.ConfigName = '';
          this.objOption.SortNum = '';
        }
      },
      //关闭弹窗
      closeSaveForm() {
        this.$emit('close')
      },
      //保存菜单
      saveStage() {
        this.saveLoading = true
        saveStuPurpose(this.objOption).then(res => {
          this.saveLoading = false;
          if (res.Code == 1) {
            this.$q.notify({
              icon: 'iconfont icon-chenggong',
              color: 'accent',
              timeout: 2000,
              message: '数据保存成功！',
              position: 'top'
            })
            this.$emit("success")
            this.closeSaveForm()
          }
        })
      }
    }
  }

</script>
